RT_SIGACTION(2)

NAME
rt_sigaction - Alter an action taken by a process

SYNOPSIS

long sys_rt_sigaction (int sig, const struct sigaction *act, struct sigaction *oact, size_t sigsetsize);

DESCRIPTION

rt_sigaction alters an action taken by a process on receipt of a particular signal. The action is specified by the sigaction structure. The previous action on the signal is saved in oact. sigsetsize should indicate the size of a sigset_t type.

RETURN VALUE

rt_sigaction returns 0 on success; otherwise, rt_sigaction returns one of the errors listed in the "Errors" section.

ERRORS

-EINVAL
    sigsetsize was not equivalent to the size of a sigset_t type.

-EFAULT
    An invalid act or oact value was specified.

SEE ALSO

rt_sigpending(2), rt_sigprocmask(2), rt_sigqueueinfo(2), rt_sigreturn(2), rt_sigsuspend(2), rt_sigtimedwait(2)

AUTHOR
Niki Rahimi